Subject: bug#69630: closed (Re: bug#69630: breadcrumb-mode and json-ts-mode (possibly yaml-ts-mode, others) performance)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Mar 2024 18:39:02 +0000

Your bug report

#69630: breadcrumb-mode and json-ts-mode (possibly yaml-ts-mode, others) performance

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69630: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69630
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69630: breadcrumb-mode and json-ts-mode (possibly yaml-ts-mode, others) performance
From: Eli Zaretskii <[email-masked]>
To: Johann Höchtl <[email-masked]>
Cc: [email-masked]
Date: Sat, 09 Mar 2024 20:38:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 9 Mar 2024 19:11:07 +0100
> Cc: [email-masked]
> From: Johann Höchtl <[email-masked]>
> 
> Oh sorry, I erroneously assumed breadcrumb-mode was an Emacs core 
> feature, I will report it against the authors Github repo.

OK, so I'm closing this bug.  If it turns out it's a core problem, we
can reopen it.

Thanks.

Subject: breadcrumb-mode and json-ts-mode (possibly yaml-ts-mode, others) performance
From: Johann Höchtl <[email-masked]>
To: [email-masked]
Date: Fri, 8 Mar 2024 09:54:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When opening a json file using it's -ts-mode, bread-crumb-mode causes a big
performance impact. This performance impact seems to be more than linear i
nrealtion to file size,  doubling in size causes more than doubling the
time until emacs becomes responsible again, likely because it contains more
than double the number of nodes to parse.

Many other popular editors contain a breadcrumb-feature and having that
feature for json, yaml, xml, ... files seems "natural".